<h1>Q and A</h1>

<div id="loginReg">
<!-- login -->
	<form class="logRegForms" (submit)="login()" #loginForm = 'ngForm'>
	    <p>*Name: <input type="text" name="loginName" [(ngModel)]="login_user.name"
	    required #loginName = "ngModel"></p>
	    <p *ngIf="loginName.invalid && loginName.touched" [ngStyle]='{"color":"red"}'>The Name is required</p>
	   <p><input type="submit" value="Log in" [disabled] = 'loginForm.invalid'></p>		 
	</form>
</div>


